Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.util.http
Class SeparatorListener

    java.lang.Object
      com.bbn.openmap.layer.util.http.SeparatorListener

All Implemented Interfaces:
  java.util.EventListener, HttpRequestListener

public class SeparatorListener
extends java.lang.Object
implements HttpRequestListener

An HttpRequestListener that writes an HTML Separator ("<HR>") to the client.

Constructor Summary
`SeparatorListener()`

Method Summary
`void` | `httpRequest(HttpRequestEvent e)` Ignore the request, just write the separator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeparatorListener

    public SeparatorListener()

Method Detail

### httpRequest

    public void httpRequest(HttpRequestEvent e)
                     throws java.io.IOException

  Ignore the request, just write the separator.

  Specified by:
    `httpRequest` in interface `HttpRequestListener`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details